#
# spec file for package psk31 (Version 0.6 )
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         psk31
Copyright:    1998-1999 Hansi Reiser, DL9RDZ
Group:        Applications/Hamradio
Autoreqprov:  on
Version:      0.6 
Release:      306
Summary:      PSK31 for Soundblaster/Linux
Source:  psk31lx-0.6.tgz
Patch:   psk31lx-0.6.dif
Patch1:  psk31lx_glibc.dif

%description
PSK31 is a narrow-band mode for keyboard-QSO on short wave. This program uses
the soundcard (soundblaster) for en-/decoding the signals from your trx.

Authors:
--------
    Hansi Reiser <dl9rdz@amsat.org>

SuSE series: ham

%prep
%setup -c -n psk31lx-0.6
%patch -P 0
%patch -P 1

%build
make

%install
make install

%files
%doc Changes README psk31theory.txt README.SuSE
%dir /usr/share/psk31
/usr/bin/psk31sb
/usr/share/man/man1/psk31.1.gz
/usr/share/psk31/psk31.cod
/usr/share/psk31/psk31.ini  

%changelog -n psk31
* Fri Feb 09 2001 - ka@suse.de
- added <time.h> to psk31-main.C and changed <linux/soundcard.h> to
  <sys/soundcard.h>
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Applications/Hamradio
* Fri Jan 14 2000 - ka@suse.de
- changed mandir from /usr/man to /usr/share/man (according to FHS)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 24 1999 - ka@suse.de
- switched to version 0.6
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Fri Mar 12 1999 - ka@suse.de
- initial release
